## ros-humble-raspimouse-ros2-examples 2.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(raspimouse_ros2_examples)

# Default to C99
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 99)
endif()

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(ament_cmake_python REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_components REQUIRED)
find_package(rclcpp_lifecycle REQUIRED)
find_package(std_msgs REQUIRED)
find_package(std_srvs REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(lifecycle_msgs REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(OpenCV REQUIRED)
find_package(raspimouse_msgs REQUIRED)
find_package(raspimouse REQUIRED)
find_package(rt_usb_9axisimu_driver REQUIRED)


include_directories(include)

add_library(object_tracking_component SHARED
  src/object_tracking_component.cpp)
target_compile_definitions(object_tracking_component
  PRIVATE "RASPIMOUSE_ROS2_EXAMPLES_BUILDING_DLL")
ament_target_dependencies(object_tracking_component
  rclcpp
  rclcpp_components
  rclcpp_lifecycle
  std_msgs
  std_srvs
  sensor_msgs
  geometry_msgs
  OpenCV)
rclcpp_components_register_nodes(object_tracking_component "object_tracking::Tracker")

add_library(line_follower_component SHARED
  src/line_follower_component.cpp)
target_compile_definitions(line_follower_component
  PRIVATE "RASPIMOUSE_ROS2_EXAMPLES_BUILDING_DLL")
ament_target_dependencies(line_follower_component
  rclcpp
  rclcpp_components
  rclcpp_lifecycle
  std_msgs
  std_srvs
  geometry_msgs
  raspimouse_msgs)
rclcpp_components_register_nodes(line_follower_component "line_follower::Follower")

add_library(direction_controller_component SHARED
  src/direction_controller_component.cpp)
target_compile_definitions(direction_controller_component
  PRIVATE "RASPIMOUSE_ROS2_EXAMPLES_BUILDING_DLL")
ament_target_dependencies(direction_controller_component
  rclcpp
  rclcpp_components
  std_msgs
  sensor_msgs
  std_srvs
  geometry_msgs
  raspimouse_msgs)
rclcpp_components_register_nodes(direction_controller_component "direction_controller::Controller")

add_executable(lifecycle_node_manager src/lifecycle_node_manager.cpp)
ament_target_dependencies(lifecycle_node_manager
  rclcpp
  lifecycle_msgs)

add_executable(line_follower src/line_follower.cpp)
target_link_libraries(line_follower line_follower_component)
ament_target_dependencies(line_follower
  rclcpp
  raspimouse)

add_executable(direction_controller src/direction_controller.cpp)
target_link_libraries(direction_controller direction_controller_component)
ament_target_dependencies(direction_controller
  rclcpp
  raspimouse
  rt_usb_9axisimu_driver)

ament_export_targets(export_${PROJECT_NAME} HAS_LIBRARY_TARGET)

ament_export_dependencies(rclcpp)
ament_export_dependencies(rclcpp_components)
ament_export_dependencies(rclcpp_lifecycle)
ament_export_dependencies(sensor_msgs)
ament_export_dependencies(std_msgs)
ament_export_dependencies(std_srvs)
ament_export_dependencies(geometry_msgs)
ament_export_dependencies(raspimouse_msgs)
ament_export_dependencies(OpenCV)

ament_export_include_directories(include)
ament_export_libraries(
  object_tracking_component
  line_follower_component
  direction_controller_component)

install(
  DIRECTORY include/
  DESTINATION include
)

install(TARGETS
  object_tracking_component
  line_follower_component
  direction_controller_component
  EXPORT export_${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
  INCLUDES DESTINATION include)

install(TARGETS
  lifecycle_node_manager
  line_follower
  direction_controller
  DESTINATION lib/${PROJECT_NAME})

# python scripts
ament_python_install_package(${PROJECT_NAME})
install(PROGRAMS
    ${PROJECT_NAME}/joystick_control.py
    DESTINATION lib/${PROJECT_NAME})

# launch files
install(DIRECTORY
  launch
  config
  DESTINATION share/${PROJECT_NAME}/
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-humble-raspimouse-ros2-examples (2.0.0-1jammy) jammy; urgency=high

  * Humble対応 (#41 <https://github.com/rt-net/raspimouse_ros2_examples/issues/41>)
  * Contributors: Shuhei Kozasa

 -- RT Corporation <shop@rt-net.jp>  Wed, 02 Aug 2023 15:00:00 -0000

ros-humble-raspimouse-ros2-examples (1.0.0-1jammy) jammy; urgency=high

  * Update map command (#38 <https://github.com/rt-net/raspimouse_ros2_examples/issues/38>)
  * Adds config file for DUALSHOCK4 (#36 <https://github.com/rt-net/raspimouse_ros2_examples/issues/36>)
  * Update README for foxy-devel (#34 <https://github.com/rt-net/raspimouse_ros2_examples/issues/34>)
  * Remove node_ prefix from launch files (#33 <https://github.com/rt-net/raspimouse_ros2_examples/issues/33>)
  * Use ament_export_targets instead of ament_export_interfaces. (#31 <https://github.com/rt-net/raspimouse_ros2_examples/issues/31>)
  * Remove dashing check from CI (#32 <https://github.com/rt-net/raspimouse_ros2_examples/issues/32>)
  * Update rviz config to show scan and graph topics (#29 <https://github.com/rt-net/raspimouse_ros2_examples/issues/29>)
  * Add descriptions to READMEs for use_pulse_counters param settings (#28 <https://github.com/rt-net/raspimouse_ros2_examples/issues/28>)
  * Use joy_linux instead of joy (#27 <https://github.com/rt-net/raspimouse_ros2_examples/issues/27>)
  * Update CI to support ROS Foxy (#26 <https://github.com/rt-net/raspimouse_ros2_examples/issues/26>)
  * Update package.xml (#25 <https://github.com/rt-net/raspimouse_ros2_examples/issues/25>)
  * Install raspimouse2 and imu packages via rosdep command (#22 <https://github.com/rt-net/raspimouse_ros2_examples/issues/22>)
  * Add rt_usb_9axisimu_driver dependency to package.xml (#21 <https://github.com/rt-net/raspimouse_ros2_examples/issues/21>)
  * Add direction control example (#18 <https://github.com/rt-net/raspimouse_ros2_examples/issues/18>)
  * Use images of rt-net/images repo. (#17 <https://github.com/rt-net/raspimouse_ros2_examples/issues/17>)
  * Add lidar example (#14 <https://github.com/rt-net/raspimouse_ros2_examples/issues/14>)
  * Turn on/off leds with joy inputs (#15 <https://github.com/rt-net/raspimouse_ros2_examples/issues/15>)
  * Update Gamepad F710 usage in README (#13 <https://github.com/rt-net/raspimouse_ros2_examples/issues/13>)
  * Use multi threads in the object tracking example to stabilize the tracking (#11 <https://github.com/rt-net/raspimouse_ros2_examples/issues/11>)
  * update video link (#12 <https://github.com/rt-net/raspimouse_ros2_examples/issues/12>)
  * Merge teleop_joy launch files into one file. (#10 <https://github.com/rt-net/raspimouse_ros2_examples/issues/10>)
  * Add line follower examples (#9 <https://github.com/rt-net/raspimouse_ros2_examples/issues/9>)
  * Add object tracking sample (#8 <https://github.com/rt-net/raspimouse_ros2_examples/issues/8>)
  * Rename launch files (#7 <https://github.com/rt-net/raspimouse_ros2_examples/issues/7>)
  * Refactoring (#6 <https://github.com/rt-net/raspimouse_ros2_examples/issues/6>)
  * Support remote control (#5 <https://github.com/rt-net/raspimouse_ros2_examples/issues/5>)
  * Add Joystic example (#4 <https://github.com/rt-net/raspimouse_ros2_examples/issues/4>)
  * Add industrial_ci test settings (#3 <https://github.com/rt-net/raspimouse_ros2_examples/issues/3>)
  * Fix teleop.launch for flake8 check (#2 <https://github.com/rt-net/raspimouse_ros2_examples/issues/2>)
  * Add github workflow (#1 <https://github.com/rt-net/raspimouse_ros2_examples/issues/1>)
  * Contributors: Daisuke Sato, Shota Aoki, Shuhei Kozasa

 -- RT Corporation <shop@rt-net.jp>  Wed, 27 Jul 2022 15:00:00 -0000

=== debian/control ===
Source: ros-humble-raspimouse-ros2-examples
Section: misc
Priority: optional
Maintainer: RT Corporation <shop@rt-net.jp>
Build-Depends: debhelper (>= 9.0.0), libopencv-dev, ros-humble-ament-cmake, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-geometry-msgs, ros-humble-hls-lfcd-lds-driver, ros-humble-joy-linux, ros-humble-nav2-map-server, ros-humble-raspimouse, ros-humble-raspimouse-msgs, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-rclcpp-lifecycle, ros-humble-rt-usb-9axisimu-driver, ros-humble-sensor-msgs, ros-humble-slam-toolbox, ros-humble-std-msgs, ros-humble-std-srvs, v4l-utils, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-raspimouse-ros2-examples
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libopencv-dev, ros-humble-geometry-msgs, ros-humble-hls-lfcd-lds-driver, ros-humble-joy-linux, ros-humble-nav2-map-server, ros-humble-raspimouse, ros-humble-raspimouse-msgs, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-rclcpp-lifecycle, ros-humble-rt-usb-9axisimu-driver, ros-humble-sensor-msgs, ros-humble-slam-toolbox, ros-humble-std-msgs, ros-humble-std-srvs, v4l-utils, ros-humble-ros-workspace
Description: Raspberry Pi Mouse examples

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-raspimouse-ros2-examples//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-raspimouse-ros2-examples 2.2.0

=== debian/changelog ===
ros-humble-raspimouse-ros2-examples (2.2.0-2bookworm) bookworm; urgency=high

  * READMEにSLAM&Navigationパッケージの案内を追加 (#53 <https://github.com/rt-net/raspimouse_ros2_examples/issues/53>)
  * Camera_FollowerクラスをCameraFollowerに変更 (#52 <https://github.com/rt-net/raspimouse_ros2_examples/issues/52>)
  * Update camera line follower: Set motor power with switch input. Add area_threthold param. (#51 <https://github.com/rt-net/raspimouse_ros2_examples/issues/51>)
  * Add velocity parameters for camera_line_follower (#50 <https://github.com/rt-net/raspimouse_ros2_examples/issues/50>)
  * カメラライントレースを修正 (#49 <https://github.com/rt-net/raspimouse_ros2_examples/issues/49>)
  * Change threthold of line detection
  * Add usb_cam dependency (#48 <https://github.com/rt-net/raspimouse_ros2_examples/issues/48>)
  * RGBカメラによるライントレースの実装 (#47 <https://github.com/rt-net/raspimouse_ros2_examples/issues/47>)
  * リリースのためにCHANGELOG.rstとpackage.xmlを更新 (#45 <https://github.com/rt-net/raspimouse_ros2_examples/issues/45>)
  * Contributors: Shota Aoki, ShotaAk, YusukeKato

 -- RT Corporation <shop@rt-net.jp>  Mon, 04 Mar 2024 16:00:00 -0000

ros-humble-raspimouse-ros2-examples (2.1.0-2bookworm) bookworm; urgency=high

  * READMEにGazeboでも実行できることを追記 (#44 <https://github.com/rt-net/raspimouse_ros2_examples/issues/44>)
  * object_trackingにおいて画像トピックをサブスクライブするように変更 (#43 <https://github.com/rt-net/raspimouse_ros2_examples/issues/43>)
  * Contributors: YusukeKato

 -- RT Corporation <shop@rt-net.jp>  Mon, 06 Nov 2023 16:00:00 -0000

ros-humble-raspimouse-ros2-examples (2.0.0-2bookworm) bookworm; urgency=high

  * Humble対応 (#41 <https://github.com/rt-net/raspimouse_ros2_examples/issues/41>)
  * Contributors: Shuhei Kozasa

 -- RT Corporation <shop@rt-net.jp>  Wed, 02 Aug 2023 16:00:00 -0000

ros-humble-raspimouse-ros2-examples (1.0.0-2bookworm) bookworm; urgency=high

  * Update map command (#38 <https://github.com/rt-net/raspimouse_ros2_examples/issues/38>)
  * Adds config file for DUALSHOCK4 (#36 <https://github.com/rt-net/raspimouse_ros2_examples/issues/36>)
  * Update README for foxy-devel (#34 <https://github.com/rt-net/raspimouse_ros2_examples/issues/34>)
  * Remove node_ prefix from launch files (#33 <https://github.com/rt-net/raspimouse_ros2_examples/issues/33>)
  * Use ament_export_targets instead of ament_export_interfaces. (#31 <https://github.com/rt-net/raspimouse_ros2_examples/issues/31>)
  * Remove dashing check from CI (#32 <https://github.com/rt-net/raspimouse_ros2_examples/issues/32>)
  * Update rviz config to show scan and graph topics (#29 <https://github.com/rt-net/raspimouse_ros2_examples/issues/29>)
  * Add descriptions to READMEs for use_pulse_counters param settings (#28 <https://github.com/rt-net/raspimouse_ros2_examples/issues/28>)
  * Use joy_linux instead of joy (#27 <https://github.com/rt-net/raspimouse_ros2_examples/issues/27>)
  * Update CI to support ROS Foxy (#26 <https://github.com/rt-net/raspimouse_ros2_examples/issues/26>)
  * Update package.xml (#25 <https://github.com/rt-net/raspimouse_ros2_examples/issues/25>)
  * Install raspimouse2 and imu packages via rosdep command (#22 <https://github.com/rt-net/raspimouse_ros2_examples/issues/22>)
  * Add rt_usb_9axisimu_driver dependency to package.xml (#21 <https://github.com/rt-net/raspimouse_ros2_examples/issues/21>)
  * Add direction control example (#18 <https://github.com/rt-net/raspimouse_ros2_examples/issues/18>)
  * Use images of rt-net/images repo. (#17 <https://github.com/rt-net/raspimouse_ros2_examples/issues/17>)
  * Add lidar example (#14 <https://github.com/rt-net/raspimouse_ros2_examples/issues/14>)
  * Turn on/off leds with joy inputs (#15 <https://github.com/rt-net/raspimouse_ros2_examples/issues/15>)
  * Update Gamepad F710 usage in README (#13 <https://github.com/rt-net/raspimouse_ros2_examples/issues/13>)
  * Use multi threads in the object tracking example to stabilize the tracking (#11 <https://github.com/rt-net/raspimouse_ros2_examples/issues/11>)
  * update video link (#12 <https://github.com/rt-net/raspimouse_ros2_examples/issues/12>)
  * Merge teleop_joy launch files into one file. (#10 <https://github.com/rt-net/raspimouse_ros2_examples/issues/10>)
  * Add line follower examples (#9 <https://github.com/rt-net/raspimouse_ros2_examples/issues/9>)
  * Add object tracking sample (#8 <https://github.com/rt-net/raspimouse_ros2_examples/issues/8>)
  * Rename launch files (#7 <https://github.com/rt-net/raspimouse_ros2_examples/issues/7>)
  * Refactoring (#6 <https://github.com/rt-net/raspimouse_ros2_examples/issues/6>)
  * Support remote control (#5 <https://github.com/rt-net/raspimouse_ros2_examples/issues/5>)
  * Add Joystic example (#4 <https://github.com/rt-net/raspimouse_ros2_examples/issues/4>)
  * Add industrial_ci test settings (#3 <https://github.com/rt-net/raspimouse_ros2_examples/issues/3>)
  * Fix teleop.launch for flake8 check (#2 <https://github.com/rt-net/raspimouse_ros2_examples/issues/2>)
  * Add github workflow (#1 <https://github.com/rt-net/raspimouse_ros2_examples/issues/1>)
  * Contributors: Daisuke Sato, Shota Aoki, Shuhei Kozasa

 -- RT Corporation <shop@rt-net.jp>  Wed, 27 Jul 2022 16:00:00 -0000

=== debian/control ===
Source: ros-humble-raspimouse-ros2-examples
Section: misc
Priority: optional
Maintainer: RT Corporation <shop@rt-net.jp>
Build-Depends: debhelper (>= 9.0.0), libopencv-dev, ros-humble-ament-cmake, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-cv-bridge, ros-humble-geometry-msgs, ros-humble-hls-lfcd-lds-driver, ros-humble-joy-linux, ros-humble-nav2-map-server, ros-humble-raspimouse, ros-humble-raspimouse-msgs, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-rclcpp-lifecycle, ros-humble-rt-usb-9axisimu-driver, ros-humble-sensor-msgs, ros-humble-slam-toolbox, ros-humble-std-msgs, ros-humble-std-srvs, ros-humble-usb-cam, v4l-utils, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-raspimouse-ros2-examples
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libopencv-dev, ros-humble-cv-bridge, ros-humble-geometry-msgs, ros-humble-hls-lfcd-lds-driver, ros-humble-joy-linux, ros-humble-nav2-map-server, ros-humble-raspimouse, ros-humble-raspimouse-msgs, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-rclcpp-lifecycle, ros-humble-rt-usb-9axisimu-driver, ros-humble-sensor-msgs, ros-humble-slam-toolbox, ros-humble-std-msgs, ros-humble-std-srvs, ros-humble-usb-cam, v4l-utils, ros-humble-ros-workspace
Description: Raspberry Pi Mouse examples

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-raspimouse-ros2-examples//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-raspimouse-ros2-examples//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-raspimouse-ros2-examples//opt/ros/humble/opt/raspimouse_ros2_examples/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh

## ros-humble-raspimouse-ros2-examples 2.2.1

=== debian/changelog ===
ros-humble-raspimouse-ros2-examples (2.2.1-2bookworm) bookworm; urgency=high

  * サービスクライアントでexecutorを使用しない (#59 <https://github.com/rt-net/raspimouse_ros2_examples/issues/59>)
  * SubscriberとService Clientに別々のcallback_groupを設定 (#58 <https://github.com/rt-net/raspimouse_ros2_examples/issues/58>)
  * Contributors: ShotaAk, YusukeKato

 -- RT Corporation <shop@rt-net.jp>  Tue, 27 Aug 2024 16:00:00 -0000
